Passer au contenu principal
GET
/
communication-preferences
/
2026-03
/
statuses
/
{subscriberIdString}
/
unsubscribe-all
Retrieve a contact's unsubscribed status
curl --request GET \
  --url https://api.hubapi.com/communication-preferences/2026-03/statuses/{subscriberIdString}/unsubscribe-all \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "channel": "EMAIL",
      "status": "NOT_SPECIFIED",
      "subscriberIdString": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "wideStatusType": "BUSINESS_UNIT_WIDE",
      "businessUnitId": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

subscriberIdString
string
requis

Paramètres de requête

channel
enum<string>
requis
Options disponibles:
EMAIL
businessUnitId
integer<int64>
verbose
boolean
défaut:false

Réponse

successful operation

completedAt
string<date-time>
requis

The date and time when the operation was completed.

results
object[]
requis

An array containing the results of the operation.

startedAt
string<date-time>
requis

The date and time when the operation started.

status
enum<string>
requis

The current status of the operation, which can be PENDING, PROCESSING, CANCELED, or COMPLETE.

Options disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

An array of error objects detailing any issues encountered during the operation.

An object containing related links, where each key is a link name and each value is a URL.

numErrors
integer<int32>

The number of errors encountered during the operation.

requestedAt
string<date-time>

The date and time when the request was made.

Last modified on April 2, 2026